.modal
  &__overall
    display: none
    flex-direction: column
    justify-content: center
    align-items: center
    position: fixed
    top: 0
    right: 0
    bottom: 0
    left: 0
    background-color: rgba(0,0,0,.5)
    //z-index: 2
    opacity: 0
    transition: opacity 200ms ease-in
    //pointer-events: none
    margin: 0
    padding: 0
    &--show
      opacity: 1
      display: flex
  &__dialog
    position: absolute
    top: 50%
    left: 50%
    transform: translate(-50%, -50%)
    display: none
    margin: 0
    z-index: 2
    width: 350px
    height: 200px
    background-color: #f0f1f3
    border-radius: 10px
    box-shadow: 1px 1px 5px #010916
  &__content
    display: flex
    flex-direction: column
    height: 100%
  &__header
    display: flex
    justify-content: space-around
  &__body
    flex-grow: 1
    padding: 10px